[Overview][Types][Classes][Index] | Reference for unit 'process' (#fcl)

# TProcess.Suspend

Suspend a running process

## Declaration

Source position: process.pp line 102

`public function TProcess.Suspend: Integer; virtual;`

## Function result

0 on success, nonzero otherwise.

## Description

Suspend suspends a running process. If the call is successful, the process is suspended: it stops running, but can be made to execute again using the Resume call.

Suspend is fundamentally different from TProcess.Terminate which actually stops the process.

## Errors

On error, a nonzero result is returned.

## See also

TProcess.Options |  | Options to be used when starting the process.
TProcess.Resume |  | Resume execution of a suspended process
TProcess.Terminate |  | Terminate a running process
TProcess.Execute |  | Execute the program with the given options

The latest version of this document can be found at lazarus-ccr.sourceforge.net .